#include "main.h"
#include "knightrider.h"
#include "getkey.h"


void init( void )
{
  KEY_PULLUP = 0xFF;
  LED_PORT = 0xFF;				// all LEDs off
  LED_DDR = 0xFF;

  get_key_init();
}


int main()
{
  uint8_t sample = 1;				// number of sample
  uint8_t stop = 0;

  select( sample );
  init();
  sei();

  for(;;){
    if( get_key_long( 1<<KEY0 )){
      stop ^= 0xFF;				// toggle stop / run
      LED_PORT = 0xFF;
    }
    if( stop ){
      get_key_short( 1<<KEY0 );			// ignore short press during stop
      continue;
    }
    if( get_key_short( 1<<KEY0 )){
      sample++;
      if( select( sample ))
        sample = 1;
    }
    run_pattern();
    _delay_ms( 100 );
  }
}
